/*===== GOOGLE FONTS =====*/
@import url("https://fonts.googleapis.com/css2?family=Poppins:wght@400;500&display=swap");

/*===== VARIABLES CSS =====*/
:root {
  --header-height: 3rem;

  /*===== Colores =====*/
  --blue-color: #006cb5;
  --first-color: #329CD7;
  --dark-color: #f1f1f1;
  --dark-color-alt: #282b3a;
  --white-color: #fff;
  --black-color: #000000;
  --white-color: #ffffff;


  /*===== Fuente y tipografia =====*/
  --body-font: "Poppins", sans-serif;
  --normal-font-size: 0.938rem;
  --small-font-size: 0.813rem;

  /*===== z index =====*/
  --z-fixed: 100;
}

@media (min-width: 768px) and (max-width: 1024px) {
  :root {
    --normal-font-size: 1rem;
    --small-font-size: 0.875rem;
  }
}

/*===== BASE =====*/
*,
::before,
::after {
  -webkit-box-sizing: border-box;
  box-sizing: border-box;
}

body {
  margin: var(--header-height) 0 0 0;
  font-family: var(--body-font);
  font-size: var(--normal-font-size);
  font-weight: 500;
}

ul {
  margin: 0;
  padding: 0;
  list-style: none;
}

a {
  text-decoration: none;
}

img {
  max-width: 100%;
  height: auto;
}

.bd-grid {
  max-width: 1024px;
  display: -ms-grid;
  display: grid;
  -ms-grid-columns: 100%;
  grid-template-columns: 100%;
  margin-left: 1.5rem;
  margin-right: 1.5rem;
}

/* ============ Header Style ============= */
.navbar {
  height: 80px;
  pad: 0.5rem;
  background-color: var(--first-color);
}

.navbar .brand-logo {
  width: 9%;
  height: 35px;
  cursor:pointer;
  margin-left:20px;
}

.navbar .brand-logo img {
  width: 100%;
  height: auto;
  cursor:pointer;
}

.navbar-brand {
  font-size: 24px;
  font-weight: 700;
  color: #3e4095;
  transition: 0.3s color;

}

.navbar-brand a {
  color: var(--white-color);
}

.offcanvas-title {
  color: var(--white-color);
}

.contact-btn {
  width: 10%;
  margin-right: 30px;
  padding: 10px;
  font-size: 14px;
  font-weight: 700;
  height: 8vh;
  display: flex;
  align-items: center;
  justify-content: center;
  text-align: center;
  color: var(--white-color);
  border: 2px solid var(--white-color);
}

.navbar-toggler {
  border: none;
  font-size: 1.25rem;
}

.navbar-toggler:focus,
.btn-close:focus {
  box-shadow: none;
  outline: none;
}

.nav-link {
  color: var(--white-color);
  font-weight: 600;
  margin: auto 20px;
  position: relative;
}

.navbar-expand-lg .navbar-nav .nav-link {
  padding-right: var(--bs-navbar-nav-link-padding-x);
  padding-left: var(--bs-navbar-nav-link-padding-x);
  color: var(--white-color);
}

.nav-link:hover,
.nav-link.active {
  color: #e2e2e2;
}

.fa-bars {
  color: var(--white-color);
  font-size: 2rem;
}

.btn-close {
  background-color: var(--first-color);
}

/* Show dropdown on hover */
.nav-item.dropdown:hover .dropdown-menu {
  display: block;
  color: var(--white-color);
  background-color: var(--first-color);
  opacity: 1;
  visibility: visible;
}

.dropdown-item {
  display: block;
  width: 100%;
  padding: var(--bs-dropdown-item-padding-y) var(--bs-dropdown-item-padding-x);
  clear: both;
  font-weight: 400;
  color: var(--white-color);
  text-align: inherit;
  text-decoration: none;
  white-space: nowrap;
  background-color: var(--first-color);
  border: 0;
}

/* Optional: Add transition effect for dropdown */
.dropdown-menu {
  transition: all 0.3s ease-in-out;
  color: var(--white-color);
  background-color: var(--first-color);
  opacity: 0;
  visibility: hidden;
}

/* Optional: Adjust positioning if necessary */
.navbar-nav .dropdown-menu {
  margin-top: 0;
}


@media (max-width: 768px) {
  .navbar-expand-lg .navbar-nav .nav-link {
    padding-right: var(--bs-navbar-nav-link-padding-x);
    padding-left: var(--bs-navbar-nav-link-padding-x);
    color: var(--black-color);
    font-size: 1rem;
    font-weight: 600;
  }

  .navbar {
    height: 55px;
    background-color: var(--first-color);
  }

  .navbar .brand-logo {
    width: 14%;
    height: 30px;
  }

  .navbar .brand-logo img {
    width: 100%;
    height: auto;
    border-radius: 2px;
  }

  .navbar-toggler {
    border: none;
    padding: 0;
    font-size: 1.25rem;
  }

  .contact-btn {
    display: none;
    /*width: 16%;*/
    /*padding: 10px;*/
    /*font-size: 0.9rem;*/
    /*font-weight: 700;*/
    /*height: 8vh;*/
    /*text-align: center;*/
    /*color: var(--white-color);*/
    /*border-radius: 30px;*/
    /*border: 2px solid var(--white-color);*/
    /*margin-left: 28rem;*/
  }

  .btn-close {
    background-color: var(--first-color);
    margin-top: 20px;
  }

  /* Show dropdown on hover */
  .nav-item.dropdown:hover .dropdown-menu {
    display: block;
    width: 100%;
    opacity: 1;
    visibility: visible;
  }

  .offcanvas-header img {
    width: 15vw;
    height: 15vh;
  }

  /* Optional: Add transition effect for dropdown */
  .dropdown-menu {
    transition: all 0.3s ease-in-out;
    color: var(--white-color);
    font-size: 1rem;
    font-weight: 600;
    background-color: var(--first-color);
    opacity: 0;
    visibility: hidden;
  }

  /* Optional: Adjust positioning if necessary */
  .navbar-nav .dropdown-menu {
    margin-top: 0;
  }
}

@media (max-width: 425px) {
  .navbar {
    height: 55px;
    width: 100%;
    background-color: var(--first-color);
    display: flex;
    justify-content: space-between;
    align-items: center;
  }

  .navbar>.container-fluid {
    width: 100%;
    padding: 0;
    margin: 0;
    display: flex;
    flex-wrap: nowrap;
    justify-content: space-between;
    align-items: center;
  }

  .offcanvas.offcanvas-end {
    top: 0;
    right: 0;
    width: 75%;
    border-left: var(--bs-offcanvas-border-width) solid var(--bs-offcanvas-border-color);
    transform: translateX(100%);
  }

  .navbar .brand-logo {
    width: 24%;
    margin-left: 15px;
    height: 30px;
  }

  .navbar .brand-logo img {
    width: 100%;
    height: auto;
    border-radius: 2px;
  }

  .navbar-toggler {
    margin-left: -20rem;
    margin-right: 2rem;
    border: none;
    background: none;
    font-size: 1.25rem;
  }

  .navbar-toggler:focus {
    outline: none;
  }

  .navbar-toggler .fa-bars {
    margin-bottom: 0;
    color: var(--white-color);
  }

  .offcanvas-header img {
    height: 15vh;
    width: 15vw;
  }

  /* Dropdown hover effect */
  .nav-item.dropdown:hover .dropdown-menu {
    display: block;
    width: 100%;
    opacity: 1;
    visibility: visible;
  }

  .dropdown-menu {
    transition: all 0.3s ease-in-out;
    color: var(--white-color);
    font-size: 1rem;
    font-weight: 600;
    background-color: var(--first-color);
    opacity: 0;
    visibility: hidden;
  }

  .navbar-nav .dropdown-menu {
    margin-top: 0;
  }

  .blue-overlay {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(50, 156, 215, 0.535);
    z-index: 1;
    display: flex;
    flex-direction: column;
  }
}